$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))

require 'rspec'
require 'parslet'
require 'parslet/rig/rspec'
require 'yaml'
require 'ostruct'
require 'rtpl'

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}

def fixtures
  return @fixtures if @fixtures
  files = {}

  Dir[File.join(File.dirname(__FILE__), *%w[fixtures *.jtpl])].each do |path|
    files[File.basename(path, '.jtpl').to_sym] =
      File.open(path) {|f| f.read }
  end

  OpenStruct.new(files)
end

RSpec.configure do |config|
end
