require 'spec_helper'

describe Rtpl::Transform do
  let(:f)         { fixtures }
  let(:transform) { Rtpl::Transform.new }
  let(:parser)    { Rtpl::Parser.new }

  it 'should substitue variable values' do
    vars = {'two' => 'exactly', 'cool' => '0'}
    tree = parser.not_blocks.parse("string with {two} {cool} vars")

    transform.apply(tree, :vars => vars).join.should ==
      "string with exactly 0 vars"
  end
end
